
This reverts commit b930ce3bf7aa350cf0252dbf95c9447e51be4de9. Bump to 1.17 broke SDK portability as it partially reverted commit ("automake: portability fixes") which made Perl PATH "/usr/bin/env perl" as that is portable, as otherwise automake will set the absolute path to the Perl binary and this will then fail when using SDK on a different system as that PATH is not present. So, since fixing this would require backport of upstream commit ("configure: make perl path with whitespace a warning, not error.") which requires autoreconf to be done in order for configure to get regenerated we cannot do it because at that time we do not have automake built. So, for now revert the bump until upstream makes a new release. Signed-off-by: Robert Marko <robimarko@gmail.com>
60 lines
1.4 KiB
Diff
60 lines
1.4 KiB
Diff
From: Bogdan Drozdowski <bogdandr AT op.pl>
|
|
Date: Sat, 31 Dec 2022 20:17:35 +0100
|
|
Subject: [PATCH] Allow other V values for verbosity
|
|
|
|
---
|
|
m4/silent.m4 | 2 +-
|
|
t/silent-gen.sh | 24 ++++++++++++++++++++++++
|
|
2 files changed, 25 insertions(+), 1 deletion(-)
|
|
|
|
--- a/m4/silent.m4
|
|
+++ b/m4/silent.m4
|
|
@@ -43,7 +43,7 @@ else
|
|
fi])
|
|
if test $am_cv_make_support_nested_variables = yes; then
|
|
dnl Using '$V' instead of '$(V)' breaks IRIX make.
|
|
- AM_V='$(V)'
|
|
+ AM_V='$(shell if ( test "x$(V)" = "x0" ); then echo 0; elif ( test "x$(V)" = "x" ); then echo $(AM_DEFAULT_VERBOSITY); else echo 1; fi)'
|
|
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
|
|
else
|
|
AM_V=$AM_DEFAULT_VERBOSITY
|
|
--- a/t/silent-gen.sh
|
|
+++ b/t/silent-gen.sh
|
|
@@ -54,6 +54,18 @@ grep 'cp ' stdout
|
|
grep 'echo ' stdout
|
|
|
|
$MAKE clean
|
|
+run_make -O V=99
|
|
+grep 'GEN ' stdout && exit 1
|
|
+grep 'cp ' stdout
|
|
+grep 'echo ' stdout
|
|
+
|
|
+$MAKE clean
|
|
+run_make -O V=vvv
|
|
+grep 'GEN ' stdout && exit 1
|
|
+grep 'cp ' stdout
|
|
+grep 'echo ' stdout
|
|
+
|
|
+$MAKE clean
|
|
run_make -O V=0
|
|
grep 'GEN .*foo' stdout
|
|
grep 'cp ' stdout && exit 1
|
|
@@ -78,5 +90,17 @@ run_make -O V=1
|
|
grep 'GEN ' stdout && exit 1
|
|
grep 'cp ' stdout
|
|
grep 'echo ' stdout
|
|
+
|
|
+$MAKE clean
|
|
+run_make -O V=99
|
|
+grep 'GEN ' stdout && exit 1
|
|
+grep 'cp ' stdout
|
|
+grep 'echo ' stdout
|
|
+
|
|
+$MAKE clean
|
|
+run_make -O V=v
|
|
+grep 'GEN ' stdout && exit 1
|
|
+grep 'cp ' stdout
|
|
+grep 'echo ' stdout
|
|
|
|
:
|